Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] Digest Failed sur gtk+
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Scullder
Guru
Guru


Joined: 16 Mar 2006
Posts: 466
Location: France

PostPosted: Thu Nov 16, 2006 10:05 pm    Post subject: Reply with quote

pathfinder wrote:
EDIT : YES J'AI RETROUVE LE HOWTO (moins de 2h chrono 8) )
Ce_soir_je_fais_le_ménage

Je l'ai fait celui là, dep est _très_ lent, depuis je fait bien gaffe à ne pas "bordeliser" ma gentoo vu le temps que ça met à nettoyer.
_________________
Linux gentoo 2.6.18-ck1-r2 #1 PREEMPT Fri Nov 17 01:37:56 CET 2006 x86_64 AMD Athlon(tm) 64 Processor 3000+ AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 3:09 pm    Post subject: Reply with quote

c est coooool
merci.
une petite question toutefois:
Quote:
# dep -pw
!!!REDUNDANT ENTRY!!! app-admin/eselect-opengl depended on by:
media-libs/mesa-6.5.1-r1 app-admin/eselect-opengl
virtual/glu-7.0 media-libs/mesa
games-arcade/asteroid-1.1 virtual/glu
WORLD FILE games-arcade/asteroid

ca veut dire quoi "depended on by"?
ca veut dire que asteroid installera tous ces autres paquets?
asteroid a besoin de glu qui lui a besoin de mesa qui lui a besoin de eselectopengl?
donc que je peux virer eselect-opengl si je laisse asteroid dans le world (a moins que je ne veuille explicitement eselect)?
c est bien ca?
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 3:41 pm    Post subject: Reply with quote

bon, apres quelques manips, et en suivant ce tuto TRES BIEN FAIT :), voila ce que me donne dep -pw
tetex, xemacs, unzip, sun-jdk je prefere les garder.
gdm aussi
maintenant, XEMACS oui, mais dois-je laisser xemacs-devel et ainsi xemancs y sera?
tetex j ai un doute, je comprends pas trop quoi faire.
je le veux c est sur...
Quote:
# dep -pw
#app-admin/eselect-opengl
#app-admin/gamin
#app-admin/gnome-system-tools
#app-xemacs/mule-base
#app-xemacs/xemacs-base
#app-xemacs/xemacs-eterm
#app-xemacs/xemacs-ispell
#dev-lang/tcl
#dev-lang/tk
#dev-libs/gmime
#games-misc/fortune-mod
#games-misc/fortune-mod-at-linux
#games-misc/fortune-mod-calvin
#games-misc/fortune-mod-futurama
#games-misc/fortune-mod-homer
#games-misc/fortune-mod-humorixfortunes
#games-misc/fortune-mod-simpsons-chalkboard
#games-misc/fortune-mod-strangelove
#games-misc/fortune-mod-tao
#games-misc/fortune-mod-zx-error
#gnome-base/control-center
#gnome-base/eel
#gnome-base/gconf
#gnome-base/gnome-applets
#gnome-base/gnome-menus
#gnome-base/gnome-panel
#gnome-base/gnome-session
#gnome-base/gnome-vfs
#gnome-base/nautilus
#gnome-extra/gnome-media
#gnome-extra/gnome-screensaver
#gnome-extra/gnome-utils
#media-gfx/imagemagick
#media-gfx/splashutils
#media-libs/freetype
#x11-apps/mesa-progs
#x11-base/xorg-server
#x11-base/xorg-x11
#x11-libs/libwnck
#x11-libs/qt
#x11-misc/lineakd
#x11-plugins/wmfortune
#x11-terms/gnome-terminal
#x11-themes/gnome-backgrounds
#x11-themes/gnome-icon-theme
#x11-themes/gnome-themes
#x11-themes/gnome-themes-extras
#x11-themes/nautilus-themes
#x11-wm/metacity

app-admin/sudo
app-admin/syslog-ng
app-arch/unrar
!!!REDUNDANT ENTRY!!! app-arch/unzip depended on by:
app-office/openoffice-bin-2.0.3 app-arch/unzip
WORLD FILE app-office/openoffice-bin
!!!REDUNDANT ENTRY!!! app-editors/emacs depended on by:
WORLD FILE app-editors/emacs
app-emacs/auctex-11.55 virtual/emacs
dev-tex/preview-latex-0.8.1 emacs? >=app-emacs/auctex-11.14
WORLD FILE dev-tex/preview-latex
!!!REDUNDANT ENTRY!!! app-editors/gedit depended on by:
gnome-base/gnome-2.14.2 >=app-editors/gedit-2.14.3
WORLD FILE gnome-base/gnome
app-editors/gvim
!!!REDUNDANT ENTRY!!! app-editors/xemacs depended on by:
WORLD FILE app-editors/xemacs

app-xemacs/apel-1.26 virtual/xemacs
app-xemacs/gnus-1.65 app-xemacs/apel
app-xemacs/mailcrypt-2.12 app-xemacs/gnus
app-xemacs/gnus-1.65 app-xemacs/mailcrypt
app-xemacs/tm-1.35 app-xemacs/mailcrypt
app-xemacs/gnus-1.65 app-xemacs/tm
app-xemacs/mh-e-1.17 app-xemacs/tm
app-xemacs/gnus-1.65 app-xemacs/mh-e
app-xemacs/mailcrypt-2.12 app-xemacs/mh-e
app-xemacs/tm-1.35 app-xemacs/mh-e
app-xemacs/rmail-1.13 app-xemacs/tm
app-xemacs/gnus-1.65 app-xemacs/rmail
app-xemacs/mailcrypt-2.12 app-xemacs/rmail
app-xemacs/mh-e-1.17 app-xemacs/rmail
app-xemacs/gnus-1.65 app-xemacs/mh-e
app-xemacs/mailcrypt-2.12 app-xemacs/mh-e
app-xemacs/tm-1.35 app-xemacs/mh-e
app-xemacs/tm-1.35 app-xemacs/rmail
app-xemacs/xemacs-devel-1.50 app-xemacs/rmail
WORLD FILE app-xemacs/xemacs-devel
app-emacs/emacs-wget
app-emacs/http-emacs
app-emacs/mule-ucs
app-misc/beagle
app-misc/gentoo
app-office/openoffice-bin
app-office/texmacs
app-portage/eix
app-portage/gentoolkit
app-portage/udept
app-portage/ufed
app-shells/ccsh
app-shells/tcsh
app-text/acroread
app-text/jadetex
!!!REDUNDANT ENTRY!!! app-text/tetex depended on by:
WORLD FILE app-text/tetex
app-emacs/auctex-11.55 virtual/tetex
dev-tex/preview-latex-0.8.1 emacs? >=app-emacs/auctex-11.14
WORLD FILE dev-tex/preview-latex
app-text/xpdf
app-vim/fluxbox-syntax
app-vim/latexsuite
app-xemacs/fortran-modes
app-xemacs/mule-ucs
app-xemacs/reftex
app-xemacs/texinfo
app-xemacs/xemacs-devel
!!!REDUNDANT ENTRY!!! dev-java/sun-jdk depended on by:
virtual/jdk-1.5.0 || =dev-java/sun-jdk-1.5.0*
dev-java/ant-core-1.6.5-r14 >=virtual/jdk-1.4
dev-lang/swig-1.3.25 java? virtual/jdk
sys-libs/libcap-1.10-r5 !nocxx? python? >=dev-lang/swig-1.3.10
sys-apps/hal-0.5.7-r3 sys-libs/libcap
gnome-base/gnome-applets-2.14.2 hal? >=sys-apps/hal-0.5.3
gnome-base/gnome-2.14.2 >=gnome-base/gnome-applets-2.14.2
WORLD FILE gnome-base/gnome
dev-java/sun-jre-bin
dev-libs/xerces-c
dev-tex/chktex
dev-tex/cpp2latex
dev-tex/foiltex
dev-tex/latex-unicode
dev-tex/preview-latex
dev-util/anjuta
dev-util/ccache
dev-util/ddd
games-action/bomberclone
games-arcade/ascii-invaders
games-arcade/asteroid
games-arcade/bub-n-bros
games-arcade/ceferino
games-arcade/circuslinux
games-arcade/missile
games-arcade/ppracer
games-arcade/smclone
games-arcade/supertux
games-arcade/tomatoes
games-arcade/xrick
games-arcade/yarsrevenge
games-emulation/gxmame
games-emulation/snes9express
games-emulation/xmame
games-emulation/zsnes
games-misc/cowsay
games-misc/fortune-mod-all
!!!REDUNDANT ENTRY!!! gnome-base/gdm depended on by:
gnome-base/gnome-2.14.2 >=gnome-base/gdm-2.14.7
WORLD FILE gnome-base/gnome
gnome-base/gnome
media-gfx/gqview
media-gfx/picasa
media-gfx/splash-themes-gentoo
media-gfx/splash-themes-livecd
media-sound/alsa-tools
media-sound/alsa-utils
media-sound/aumix
media-sound/gnome-alsamixer
!!!REDUNDANT ENTRY!!! media-video/mplayer depended on by:
net-www/mplayerplug-in-3.31-r1 >=media-video/mplayer-1.0_pre5
WORLD FILE net-www/mplayerplug-in
!!!REDUNDANT ENTRY!!! net-im/amsn depended on by:
x11-themes/amsn-skins-20040223 net-im/amsn
WORLD FILE x11-themes/amsn-skins
net-im/skype
net-misc/dhcpcd
!!!REDUNDANT ENTRY!!! net-print/cups depended on by:
app-text/acroread-7.0.8 x86? cups? net-print/cups
WORLD FILE app-text/acroread
net-print/hplip
net-wireless/airsnort
net-wireless/kismet
!!!REDUNDANT ENTRY!!! net-wireless/wireless-tools depended on by:
net-wireless/kismet-2006.04.1 net-wireless/wireless-tools
WORLD FILE net-wireless/kismet
net-wireless/wpa_supplicant
net-www/mplayerplug-in
net-www/netscape-flash
!!!REDUNDANT ENTRY!!! sys-apps/pciutils depended on by:
media-sound/alsa-utils-1.0.13 sys-apps/pciutils
WORLD FILE media-sound/alsa-utils
sys-apps/sdparm
sys-apps/slocate
!!!REDUNDANT ENTRY!!! sys-apps/usbutils depended on by:
sys-apps/hotplug-20040923-r2 >=sys-apps/usbutils-0.9
sys-apps/hal-0.5.7-r3 sys-apps/hotplug
gnome-base/gnome-applets-2.14.2 hal? >=sys-apps/hal-0.5.3
gnome-base/gnome-2.14.2 >=gnome-base/gnome-applets-2.14.2
WORLD FILE gnome-base/gnome
sys-boot/grub
sys-fs/reiserfsprogs
!!!REDUNDANT ENTRY!!! sys-kernel/gentoo-sources depended on by:
WORLD FILE sys-kernel/gentoo-sources
media-libs/alsa-lib-1.0.13 virtual/alsa
dev-java/sun-jdk-1.5.0.08 alsa? media-libs/alsa-lib
virtual/jdk-1.5.0 || =dev-java/sun-jdk-1.5.0*
dev-java/ant-core-1.6.5-r14 >=virtual/jdk-1.4
dev-lang/swig-1.3.25 java? virtual/jdk
sys-libs/libcap-1.10-r5 !nocxx? python? >=dev-lang/swig-1.3.10
sys-apps/hal-0.5.7-r3 sys-libs/libcap
gnome-base/gnome-applets-2.14.2 hal? >=sys-apps/hal-0.5.3
gnome-base/gnome-2.14.2 >=gnome-base/gnome-applets-2.14.2
WORLD FILE gnome-base/gnome

Pour PCI-UTILS, USB_UTILS, wireless.tools, je prefere les garder.
je vire gedit donc, et DB aussi, qui depend de emacs. mais pour getnoo-sources?

!!!REDUNDANT ENTRY!!! sys-libs/db depended on by:
app-editors/xemacs-21.4.17 berkdb? =sys-libs/db-1*
WORLD FILE app-editors/xemacs
sys-libs/lib-compat
!!!REDUNDANT ENTRY!!! sys-power/acpid depended on by:
gnome-base/gnome-applets-2.14.2 acpi? sys-power/acpid
gnome-base/gnome-2.14.2 >=gnome-base/gnome-applets-2.14.2
WORLD FILE gnome-base/gnome
sys-process/vixie-cron
www-client/lynx
!!!REDUNDANT ENTRY!!! www-client/mozilla-firefox depended on by:
dev-python/gnome-python-extras-2.14.0-r1 firefox? >=www-client/mozilla-firefox-1.0
gnome-extra/deskbar-applet-2.14.2 >=dev-python/gnome-python-extras-2.14
gnome-base/gnome-2.14.2 >=gnome-extra/deskbar-applet-2.14.2
WORLD FILE gnome-base/gnome
x11-apps/xcalc
x11-apps/xdm
x11-apps/xev
x11-apps/xfontsel
x11-apps/xlsfonts
x11-apps/xset
!!!REDUNDANT ENTRY!!! x11-drivers/ati-drivers depended on by:
x11-base/xorg-server-1.1.1-r1 xorg? video_cards_fglrx? >=x11-drivers/ati-drivers-8.27.10
app-text/tetex-3.0_p1-r3 X? || x11-base/xorg-server
WORLD FILE app-text/tetex
!!!REDUNDANT ENTRY!!! x11-drivers/xf86-input-evdev depended on by:
x11-base/xorg-server-1.1.1-r1 xorg? input_devices_evdev? >=x11-drivers/xf86-input-evdev-1.1.1
app-text/tetex-3.0_p1-r3 X? || x11-base/xorg-server
WORLD FILE app-text/tetex
!!!REDUNDANT ENTRY!!! x11-drivers/xf86-input-keyboard depended on by:
x11-base/xorg-server-1.1.1-r1 xorg? input_devices_keyboard? >=x11-drivers/xf86-input-keyboard-1.1.0
app-text/tetex-3.0_p1-r3 X? || x11-base/xorg-server
WORLD FILE app-text/tetex
!!!REDUNDANT ENTRY!!! x11-drivers/xf86-input-mouse depended on by:
x11-base/xorg-server-1.1.1-r1 xorg? input_devices_mouse? >=x11-drivers/xf86-input-mouse-1.1.0
app-text/tetex-3.0_p1-r3 X? || x11-base/xorg-server
WORLD FILE app-text/tetex
!!!REDUNDANT ENTRY!!! x11-drivers/xf86-video-fbdev depended on by:
x11-base/xorg-server-1.1.1-r1 xorg? video_cards_fbdev? >=x11-drivers/xf86-video-fbdev-0.2.0
app-text/tetex-3.0_p1-r3 X? || x11-base/xorg-server
WORLD FILE app-text/tetex
!!!REDUNDANT ENTRY!!! x11-drivers/xf86-video-vesa depended on by:
x11-base/xorg-server-1.1.1-r1 xorg? video_cards_vesa? >=x11-drivers/xf86-video-vesa-1.1.0
app-text/tetex-3.0_p1-r3 X? || x11-base/xorg-server
WORLD FILE app-text/tetex
x11-drivers/xf86-video-vga
!!!REDUNDANT ENTRY!!! x11-libs/cairo depended on by:
app-text/poppler-bindings-0.5.3 cairo? >=x11-libs/cairo-0.5
app-text/evince-0.6.0 >=app-text/poppler-bindings-0.5.3
gnome-base/gnome-2.14.2 >=app-text/evince-0.5.3
WORLD FILE gnome-base/gnome
x11-misc/chgres
x11-misc/electricsheep
x11-misc/lineak-defaultplugin
x11-misc/lineak-xosdplugin
x11-misc/lineakconfig
x11-misc/unclutter
x11-misc/xlockmore
x11-misc/xscreensaver
x11-terms/eterm
x11-themes/amsn-skins
x11-themes/commonbox-styles
x11-themes/commonbox-styles-extra
x11-themes/fluxbox-styles-fluxmod
x11-themes/gdm-themes
x11-themes/gentoo-artwork
x11-themes/mplayer-skins
x11-themes/ximian-artwork
!!!REDUNDANT ENTRY!!! x11-wm/fluxbox depended on by:
x11-themes/commonbox-styles-0.6 || x11-wm/fluxbox
WORLD FILE x11-themes/commonbox-styles

Pareil ici: je VEUX fluxbox, commonbox aussi, mais ca me "gene de virer" fluxbox pour laisser commonbox... je les laisse donc tous les deux, non?
Resultat:

178 packages in world: 153 valid, 25 redundant;
61 packages in system;
801 packages installed: 7% in system, 22% in world, 73% deps.



EDIT: au final, voici: (j ai prefere garder CAIRO, ATI-DRIVERS, TETEX; PREVIEW-LATEX, USBUTILS (depend de gnome mais je l utilise assez), AMSN SKINS ET AMSN, ACPID (? ), GENTOO-SOURCES (je sais pas quoi faire avec, je suppose qu il me les faut meme si un jour gnome degage), UNZIP, MPLAYER, et GDM...
Quote:

126 packages in world: 108 valid, 18 redundant;
61 packages in system;
800 packages installed: 7% in system, 15% in world, 78% deps.



c est mieux, deja, non?
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 4:00 pm    Post subject: Reply with quote

Quote:

dep -ps
....
WORLD FILE:
!!! Cannot resolve depatom #x11-drivers/xf86-input-evdev
__memoised__resolve_depatom resolve_depatom add_deps_to_required makeideal main main
!!! Cannot resolve depatom #x11-drivers/xf86-input-keyboard
__memoised__resolve_depatom resolve_depatom add_deps_to_required makeideal main main
!!! Cannot resolve depatom #x11-drivers/xf86-input-mouse
__memoised__resolve_depatom resolve_depatom add_deps_to_required makeideal main main
!!! Cannot resolve depatom #x11-drivers/xf86-video-fbdev
__memoised__resolve_depatom resolve_depatom add_deps_to_required makeideal main main
!!! Cannot resolve depatom #x11-drivers/xf86-video-vesa
__memoised__resolve_depatom resolve_depatom add_deps_to_required makeideal main main
!!! Cannot resolve depatom #x11-drivers/xf86-video-vga
__memoised__resolve_depatom resolve_depatom add_deps_to_required makeideal main main

.... JE REMETS CES DRIVERS DANS LE WORLD? MEME S ILS DEPENDENT DE tetex que je veux?

!!! Oops: comm_ver called with category/package: 2.4.3-r4/2.4.3-r4 dev-lang/
!!! python
ca c est quoi?




Je ne les ai pas remis, j ai lance
dep -s car il me semblait que c etait correct.
bcp de paquets to be removed me semblaient en effet inutiles (je les connaissais, me rappelait de leur install un jour, et sais que je n en veux plus)
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Mon Nov 20, 2006 4:06 pm    Post subject: Reply with quote

Voilà une adaptation de mes conmtributions précédentes (que je t'invite à relire) à tetex et unzip pour te réexpliquer pourquoi le nettoyage de world doit se faire en fonction de ton utilisation de l'ordinateur (et ne peut donc pas être automatisé correctement).

Disons que tetex n'est sur ton système qu'une dépendance de xemacs (via USE flag). Je ne suis pas certain que ce soit vraiment le cas mais bon... peut-importe ! L'utilitaire dep va te dire que tu peux supprimer la ligne correpondante de /var/lib/portage/world. C'est vrai pour ton système actuel ! Tu supprimes cette ligne. Maintenant si demain tu décides de délaisser xemacs pour emacs-cvs (et disons que tetex n'est pas une dépendance de emacs-cvs). Tu désinstalles donc xemacs et fait un "emerge --depclean"... Tu viens de perdre tetex ! Tu ne voulais pas cela puisque tu utilises tetex comme outil final. Indépendemment du fait d'avoir xemacs.

Maintenant disons que tu n'utilises jamais la ligne de commande. file-roller a pour dépendance unzip. Si demain tu désinstalles file-roller et que unzip n'est plus dépendance de rien d'autre sur ton système, tu veux que unzip soit désinstallé dans la foulée avec "emerge --depclean". Donc, dans ce cas, il est juste de supprimer unzip de ton world.

Voilà pourquoi j'arguais en faveur d'un dep intéractif qui, pour chaque suppression, te demande si tu utilises le logiciel en question indépendemment des autres logiciels dont il est dépendance (que ce dep énumérerait).

Il paraît que la pédagogie c'est de répéter... :lol:
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 4:18 pm    Post subject: Reply with quote

ok
c est donc bon
j ai pige
c est nettement mieux en interactif,
et en effet,
mplayer, amsn-skins. fluxbox, tetex, TOUT CA, je le veux, donc je le garde.
unzip aussi car il depend de openoffice et c est pas sur que je garde OO... donc j ai laisse unzip ;-)

(et repeter ca marche, mais ce tuto est vraiment genial. Clair, et tres bien)
Et il est clair que ca devait etre interactif.

parcontre dans le tuto je dirais que les $ sont des #, et qu apres
dep -ps on devrait mettre
dep -s (si on est d accord)

maintenant, j ai vire enormement de trucs du systeme, il y en a quelques uns qui ne m inspirent pas, comme blackdown-jdk et jre, mais je peux toujours les reinstaller, non?


Au fait, pour les dependances, supposons que j ai installe "matlab", ou "sunstudio": il ne calcule pas les dependances envers ces paquets, si? (ce sont des tarballs, ou des versions precompilees linux)
dans ce cas, si un de MES softs installes a besoin de ca, c est dans le baba, non?
c est une dangereuse manip alors ce que je viens de faire, non?
comment retrouver ce qui a ete unmerged? (au cas ou un de mes prgs foire, savoir si une dep est en cause)
(je pense que blackdown est necessaire a matlab, par exemple...)
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 4:21 pm    Post subject: Reply with quote

Quote:
# dep -pP
!!! No redundant packages found.

Quote:
# emerge -tauvDN world

These are the packages that would be merged, in reverse order:

Calculating world dependencies... done!
[nomerge ] dev-tex/preview-latex-0.8.1 USE="emacs xemacs"
[ebuild U ] app-emacs/auctex-11.83 [11.55] USE="-preview-latex%" 868 kB
[nomerge ] net-print/hplip-1.6.10 USE="X foomaticdb ppds qt3 -scanner -snmp"
[ebuild U ] dev-python/PyQt-3.14.1-r2 [3.14.1-r1] USE="-debug -doc -examples" 0 kB
[ebuild R ] app-text/acroread-7.0.8 USE="cups ldap nls nsplugin" LINGUAS="es* fr* -da -de -fi -it -ja -ko -nl -no -pt -sv -zh_CN -zh_TW" 47,370 kB
[nomerge ] perl-core/Test-Harness-2.56
[nomerge ] dev-libs/openssl-0.9.8d USE="emacs sse2 zlib -bindist -test"
[nomerge ] dev-lang/perl-5.8.8-r2 USE="berkdb gdbm -build -debug -doc -ithreads -perlsuid"
[nomerge ] sys-devel/libperl-5.8.8-r1 USE="berkdb gdbm -debug -ithreads"
[ebuild NS ] sys-libs/db-4.2.52_p4-r2 USE="java -bootstrap -doc -nocxx -tcl -test" 0 kB

Total size of downloads: 48,238 kB

Would you like to merge these packages? [Yes/No] y


ensuite, revdep-rebuild -a
et je vous tiens au courant.
c est assez sympa pour le moment.

il m a supprime bcp de paquets de gnome tout a l heure, comme gnome-control-center, gnome-je-sais-plus-quoi...
je suis surpris qu il ne les reinstalle pas avec l emerge -auvDN world...
Est-ce normal?
c etait cense etre des dependances de gnome-base/gnome, donc si c est unmerge suite a dep -s, ca devrait reapparaitre apres avec un emerge world, Non?
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Mon Nov 20, 2006 4:34 pm    Post subject: Reply with quote

Vis à vis de ton système dans son état actuel, tout ce que te liste dep comme redondant peut être supprimé de ton world sans que ton installation ne bouge d'un iota (puisque tu supprimes de ton world des dépendances d'autres logiciels qui, eux, sont restés dans ton world). Le problème c'est ce que tu vas faire de ton système dans le futur.

Lorsque tu as installé les paquets précompilés, il était mentionné la nécessité d'avoir auparavant installé d'autres logiciels ou non ? Dans le premier cas, garde toutes les dépendances directes de ces paquets dans ton world. Dans le second cas c'est du Windows-like avec un gros paquet qui contient le logiciel et ses dépendances, tu n'a pas à te soucier de quoi que soit (sinon de la taille de ton système car, comme sous Winblows, chaque paquet précompilé installe aussi ses dépendances mêmes si elles sont déjà installées).
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 4:42 pm    Post subject: Reply with quote

sunstudioexpress est un tarball
je suppose qu il se suffit a lui meme, il n avait besoin d absolument rien

matlab, je verrai on-the-fly, car je me souvien qu il utilisait par defaut le jvm blackdown, mais qu on pouvait en installer un autre (chose faite)
je verrai donc.

pour le futur du systeme, il faut juste que je fasse plus attention a mes keywords, en precisant = et version number, ainsi que l architecture, non?
et ne surtout pas oublier les --oneshot si ce ne sont que des dependances et pas des paquets finaux, car ainsi ils ne seront plus gardes dans le world et une suppresion du paquet père entrainera aisement la chute du bloc, sans paquets independants bizarres.

je crois qu apres 1498 posts, j ai compris un peu.

merci les gars.
je devrai de toutes facons poser encore une ou deux questions sur le keywords:
pour le moment:

Quote:

=app-portage/udept-0.5.99.0.2.95-r1 ~x86
=media-gfx/picasa-2.2.2820.5
=net-im/amsn-0.96_rc1
=x11-themes/amsn-skins-20040223 dois-je vraiment preciser l architecture ~x86?
=x11-misc/grsync-0.5-r1
=x11-drivers/ati-drivers-8.30.3-r1
=net-print/hplip-1.6.10

et merci encore, sincerement, j aurais pas pu sans vos posts, sans les tutos, sans votre aide, et acharnement.

edit:
ati-drivers doit encore evoluer vers les RADEON, picasa je devrai essayer autre chose, comme ce que m a conseillle magic banana, et je dois reinstaller grsync qui par ma faute (etourdi) a ete supprime du systeme (idiot)

ensuite, je tenterai de revenir au probleme initial:
AIGLX, ATI OPEN DRIVERS, et BERYL :D :D :D :D (la vache, on est reste plus longtemps que prevu au bloc operatoire)
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Mon Nov 20, 2006 4:54 pm    Post subject: Reply with quote

Précise l'architecture dans /etc/portage/package.keywords. Ça évite l'éventualité (certes très peu probable vu que tu es sur une architecture x86) de te retrouver avec un logiciel dans la branche instable pour une autre architecture et HARD-MASKED (voire inexistant) pour ton architecture.
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 5:28 pm    Post subject: Reply with quote

ok!
je fais ca de suite!

sinon, voila:
Quote:
Build finished correctly. Removing temporary files...
You can re-run revdep-rebuild to verify that all libraries and binaries
are fixed. If some inconsistency remains, it can be orphaned file, deep
dependency, binary package or specially evaluated library.
# revdep-rebuild
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
(/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
(/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
broken /usr/lib/evidence/metadata/mp3.la (requires /usr/lib/libid3.la)
broken /usr/lib/evidence/metadata/taglib.la (requires /usr/lib/libtag.la)
broken /usr/lib/evidence/thumbnailer/id3.la (requires /usr/lib/libid3.la)
broken /usr/lib/libpoppler-cairo.la (requires /usr/lib/gcc/i686-pc-linux-gnu/4.1.1//libstdc++.la)
done.
(/root/.revdep-rebuild.3_rebuild)


Assigning files to ebuilds... done.
(/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
(/root/.revdep-rebuild.5_order)

Dynamic linking on your system is consistent... All done.

je suppose que c est bon, non?
evidence n est pas installe sur mon systeme...
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Mon Nov 20, 2006 5:42 pm    Post subject: Reply with quote

Ben ça m'a l'air pas mal du tout ! Tu as donc en ce moment un système propre (tu as bien fait un "emerge -uDN world && emerge --depclean" avant de lancer "revdep-rebuild ?).

On en revient donc au sujet initial ! Je me répète donc : Installe les drivers libres, configure AIGLX et suis l'HOWTO Beryl. Tout devrait bien se passer...
Back to top
View user's profile Send private message
Tuxicomane
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 290
Location: Val-de-Marne, FRANCE

PostPosted: Mon Nov 20, 2006 5:45 pm    Post subject: Reply with quote

Intéressant ce thread, j'ai appris plein de trucs ! :D
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 5:51 pm    Post subject: Reply with quote

YES!!! j ai bien fait -uaDN world avant le revdev-rebuild.

maintenant, je suis le how-to de ATI-DRI:
http://gentoo-wiki.com/HOWTO_DRI_with_ATi_Open-Source_Drivers

Je ne le trouve pas tres clair (niveau hierarchie). Je resume alors ce que j ai fait:
kerne 2.6.15.
make menuconfig,
les options AGPPART et INTEL440 etaient en * dans mon noyau.
parcontre, pas l option
Quote:
<M> Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)
<M> ATI Radeon

je les ai donc mis en modules et j ai fait SAVE AND EXIT.

dans mon /etc/modules.autoload.d/kernel2.6 etonnement je n avais meme pas fgrlx
et pourtant un lsmod me le donnait bien:
Code:
 $ lsmod
Module                  Size  Used by
fglrx                 400108  0



Mais apres avoir compile le kernel (je ne sais jamais si c est necessaire si on ne fait u un <M> en modif) avec
Quote:
make && make modules_install
atlantis linux # cp arch/i386/boot/bzImage /boot/kernel-2.6.15-r1-gcc4.1.1-radeon
atlantis linux # cp .config /boot/config-2.6.15-r1-gcc4.1.1-radeon


et en modifiant le grub en consequence, je suppose que ca devrait etre bon, non?
j ai bien rajoute radeon a mon autoload...

Dois-je maintenant reinstaller ati-drivers? X? relancer X?
rebooter la machine?

En tout cas, (edit), voila le xorg:
Quote:
Section "Device"

#VideoRam 262144
# Insert Clocks lines here if appropriate
Identifier "ATI Radeon"
VendorName "ATI Technologies Inc"
Driver "radeon"

# Identifier "X300 RV370"
# Driver "fglrx"
Option "XAANoOffscreenPixmaps" "true"
Option "dri" "true"
EndSection

Quote:

Section "Extensions"
Option "Composite" "Enable"
EndSection

Quote:
Section "ServerLayout"
Identifier "Simple Layout"
Screen "Screen 1" 0 0
InputDevice "Mouse1" "CorePointer"
InputDevice "Keyboard1" "CoreKeyboard"
Option "AIGLX" "true"
EndSection

Quote:

Section "Module"
Load "dbe" # Double buffer extension
SubSection "extmod"
Option "omit xfree86-dga" # don't initialise the DGA extension
EndSubSection
Load "freetype"
Load "glx"
Load "dri"
EndSection

Quote:
Section "DRI"
Group 0
Mode 0666
EndSection


(et MAtlab marche impecc, il utilise Java Hotspot 1.5 ;-) )
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Mon Nov 20, 2006 6:01 pm    Post subject: Reply with quote

Tu n'as pas besoin de réinstaller ati-drivers. En fait tu n'as plus besoin de ati-drivers du tout (mais garde-les au cas où tu changerais d'avis). Tu as oublier de basculer ton interface opengl. Pour cela :
Code:
# eselect opengl set xorg-x11


Un redémarrage du serveur X (Ctrl + Alt + Backspace) et ça devrait le faire.
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 6:10 pm    Post subject: Reply with quote

a part ces petits details:

j ai fini de lire le tuto, et trouve une bourde (SANS relancer le X :D :D )
Quote:

Section "Device"

#VideoRam 262144
# Insert Clocks lines here if appropriate
Identifier "ATI Radeon X300 RV370"
VendorName "ATI Technologies Inc"
Driver "radeon"

# Identifier "X300 RV370"
# Driver "fglrx"

Option "XAANoOffscreenPixmaps" "true"
Option "dri" "true"

# this may solve some issues ??????????????
Option "BusType" "PCI"
# acceleration
Option "AGPMode" "4"
Option "AGPFastWrite" "yes"
Option "EnablePageFlip" "on"
Option "RenderAccel" "on"
Option "AccelMethod" "EXA" # or XXA
# Option "BackingStore" "true"
# Option "ExaNoOffscreenPixmaps"

# enable (partial) PowerPlay features
Option "DynamicClocks" "on" ???????????????

# use bios hot keys on thinkpad (aka fn+f7)
# Option "BIOSHotkeys" "on" je me fiche de ceci,... je n ai pas de thinkpad...

# enable radeon specific xinerama
# Option "MergedFB" "true"
# Option "CRT2Position" "RightOf"
# Option "CRT2Hsync" "50-75"
# Option "CRT2VRefresh" "30-82"
# Option "MetaModes" "1024x768-1280x1024" ICI, je n ai qu un ecran... je suppose que ces options
# Option "MergedNonRectangular" "true" sont completement inutiles... non?

# Color Tiling
Option "ColorTiling" "on"


# Video overlay
#Option "OverlayOnCRTC2" "on"




EndSection

Section "Screen"
Identifier "Screen 1"
Device "ATI Radeon X300 RV370" be oui il fallait changer le nom du device s il l etait ci dessus


edit:
Quote:
atlantis linux # eselect opengl set xorg-x11
Switching to xorg-x11 OpenGL interface... done


Ne dois-je pas modprobe -r fglrx? et rebooter sur le kernel correct?
Ne dois-je pas modprobe radeon?
Code:
atlantis linux # modprobe radeon
WARNING: Error inserting drm (/lib/modules/2.6.15-gentoo-r1/kernel/drivers/char/drm/drm.ko): Cannot allocate memory
FATAL: Error inserting radeon (/lib/modules/2.6.15-gentoo-r1/kernel/drivers/char/drm/radeon.ko): Unknown symbol in module, or unknown parameter (see dmesg)
(euh. non... mais je n ai pas rebooter, pas utilise le kernel modifie, ni relance X...)
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Mon Nov 20, 2006 6:15 pm    Post subject: Reply with quote

Si tu n'as qu'un écran, tu n'as, en effet, certainement pas besoin d'options relatives à un deuxième écran et peux donc les supprimer de /etc/X11/xorg.conf.

Pour ta première série de points d'intérogation, garde la ligne si ta carte est sur un port PCI.
Pour ta seconde série de points d'intérogation, garde la ligne (même si je ne pourrais pas t'expliquer à quoi elle sert).
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 6:26 pm    Post subject: Reply with quote

c esst bizarre...
ca ne marche pas
bonne nouvelle AIGLX loaded
EDIT:
Quote:
(EE) AIGLX: Screen 0 is not DRI capable
(**) Option "AIGLX" "true"
(**) AIGLX enabled
(attention ca c est avec fglrx et la vieille config...

l'Erreur: radeon not found.
pourtant un
modprobe radeon passe.
mais ca plante.
je plste maintenant sous fglrx a nouveau.
je retente avec les lignes ????????????????? non commentees pour voir...
(j avais reboote)
Quote:
$ lsmod
Module Size Used by
radeon 108576 0
drm 65428 1 radeon

Quote:
$ sudo modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/2.6.15-gentoo-r1/video/fglrx.ko): Operation not permitted
(en revenant a la config initiale)
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 6:46 pm    Post subject: Reply with quote

l erreur exacte est

"Failed to Load module Radeon (module doesn t exist, 0)"
j ai tente avec le HOW TO suivi a la lettre (repasse en module les AGPPART, etc... mais il le trouve pas...)
Quote:
atlantis ~ # lsmod
Module Size Used by
radeon 108576 0
drm 65428 1 radeon
intel_agp 21148 1
agpgart 29264 2 drm,intel_agp
atlantis ~ # modprobe radeon
atlantis ~ # modprobe agppart
FATAL: Module agppart not found.
atlantis ~ # modprobe agpgart
atlantis ~ # modprobe drm

c est comme s il ne le trouvait pas...

pourtant il est capable de le charger...
Quote:
atlantis ~ # ls /lib/modules/2.6.15-gentoo-r1/kernel/drivers/char/*
/lib/modules/2.6.15-gentoo-r1/kernel/drivers/char/agp:
agpgart.ko ati-agp.ko intel-agp.ko

/lib/modules/2.6.15-gentoo-r1/kernel/drivers/char/drm:
drm.ko radeon.ko


je ne comprends pas... je jette un oeil sur les forums pour voir...
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 6:51 pm    Post subject: Reply with quote

/etc/make.conf...

avait fglrx et pas radeon...
je suppose qu il faut emerger en onshot xorg-x11 maintenant... :D
je relance et vous dis quoi

oups, trop pressé: j ai emerge x11 et ca ma mis un virtual dans world
quel idiot!
donc rebelotte, et voici quelque chose d interessant:
Quote:
dep -ps

To remove:
* sys-libs/db-4.2.52_p4-r2 normal, c est une dep d emacs et ce sera reinstalle avec un revdep-rebuild...
To install:
* x11-drivers/xf86-video-ati-6.6.3 je suppose que ce sont les drivers FREE de ati. il fallait bien les installer... :D non?

>>> These are the packages that would be unmerged:

sys-libs/db
selected: 4.2.52_p4-r2
protected: none
omitted: 4.3.29-r2 1.85-r2

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] x11-drivers/xf86-video-ati-6.6.3 USE="dri -debug" 706 kB

Total size of downloads: 706 kB

puis je refais un emerge -auvDN world et revdep-rebuild
et ainsi je remets le xorg-conf avec radeon, je relance le tout, et on verra!

edit:
pour le moment, le dep -s est passé impecc.
emerge -auvDN world a voulu installer mesa, xorg-server111, db, et (pas encore fini, xorg-server est LONG)
et suite a l install de xorgserver (cache dans l install) il y avait ceci:
Quote:
# * AIGLX patches will be applied.
# * These patches are known to cause problems with EXA enabled.
# * Forcing on xorg-x11 for new enough glxtokens.h...
# Switching to xorg-x11 OpenGL interface... done

je m attends donc a ce que EXA en true dans mon xorg.conf soit peut etre ennuyeux (ce serait VRAIMENT le seul souci, ce serait GENIAL)


J ai toujours eu cette question: comment, si on fait un emerge world, et que 30 paquets se reinstallent, ou 55, et qu on ne reste pas devant son ecran, COMMENT peut on voir tous ces petits messages en VERT et en jaune TRES UTILES voire INDISPENSABLES vue la vitesse de defilement des infos sur l ecran?
genre "Do not forget to...
You should...
If you arer using java... you should enable...."
et autres...
ca me tracasse depuis pas mal de temps, parce que je crois qu on perd une info tres tres importante.
exemple ci dessus, avec la remarque concernant EXA. si j etais parti et j avais laisse mon PC tourner, jen aurais rien su du tout...
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 7:56 pm    Post subject: Reply with quote

bon, il y a un leger mieux!
Quote:
$ lsmod
Module Size Used by
radeon 108576 0
drm 65428 1 radeon
intel_agp 21148 1
agpgart 29264 2 drm,intel_agp


et X marche maintenant avec cette config de xorg:
Quote:

Section "Device"

#VideoRam 262144
# Insert Clocks lines here if appropriate
Identifier "ATI Radeon X300 RV370"
VendorName "ATI Technologies Inc"
Driver "radeon"
# Driver "fglrx"
Option "XAANoOffscreenPixmaps" "true"
Option "dri" "true"

# this may solve some issues
Option "BusType" "PCI"
# acceleration
Option "AGPMode" "4"
Option "AGPFastWrite" "yes"
Option "EnablePageFlip" "on"
Option "RenderAccel" "on"
Option "AccelMethod" "EXA" # or XXA
# from emerge xorgserver:
# * AIGLX patches will be applied.
# * These patches are known to cause problems with EXA enabled.
# * Forcing on xorg-x11 for new enough glxtokens.h...
# Switching to xorg-x11 OpenGL interface... done
Option "BackingStore" "true"
# Option "ExaNoOffscreenPixmaps"

# enable (partial) PowerPlay features
#Option "DynamicClocks" "on"

# use bios hot keys on thinkpad (aka fn+f7)
# Option "BIOSHotkeys" "on"
#
# # enable radeon specific xinerama
## Option "MergedFB" "true"
## Option "CRT2Position" "RightOf"
## Option "CRT2Hsync" "50-75"
## Option "CRT2VRefresh" "30-82"
## Option "MetaModes" "1024x768-1280x1024"
## Option "MergedNonRectangular" "true"
#
# Color Tiling
Option "ColorTiling" "on"
#
# # Video overlay
# #Option "OverlayOnCRTC2" "on"
EndSection


:P

cependant,
Quote:
$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: No
server glx vendor string: SGI

et en effet:
Quote:
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(WW) RADEON: No matching Device section for instance (BusID PCI:4:0:1) found (normal, j utilise pas la sortie numerique)
(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode disabled
(WW) (1152x864,Mitsubishi Diamond Scan) mode clock 108MHz exceeds DDC maximum 100MHz
(WW) (1280x960,Mitsubishi Diamond Scan) mode clock 108MHz exceeds DDC maximum 100MHz
(WW) (1280x960,Mitsubishi Diamond Scan) mode clock 148.5MHz exceeds DDC maximum 100MHz
(WW) (1280x1024,Mitsubishi Diamond Scan) mode clock 108MHz exceeds DDC maximum 100MHz
(WW) (1280x1024,Mitsubishi Diamond Scan) mode clock 135MHz exceeds DDC maximum 100MHz
(WW) (1280x1024,Mitsubishi Diamond Scan) mode clock 157.5MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 162MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 175.5MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 189MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 202.5MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 229.5MHz exceeds DDC maximum 100MHz
(WW) (1792x1344,Mitsubishi Diamond Scan) mode clock 204.8MHz exceeds DDC maximum 100MHz
(WW) (1792x1344,Mitsubishi Diamond Scan) mode clock 261MHz exceeds DDC maximum 100MHz
(WW) (1856x1392,Mitsubishi Diamond Scan) mode clock 218.3MHz exceeds DDC maximum 100MHz
(WW) (1856x1392,Mitsubishi Diamond Scan) mode clock 288MHz exceeds DDC maximum 100MHz
...et j en passe...
(WW) RADEON(0): Direct rendering disabled
(WW) RADEON(0): Option "XAANoOffscreenPixmaps" is not used
(WW) RADEON(0): Option "dri" is not used


(EE) RADEON(0): [dri] RADEONDRIGetVersion failed to open the DRM
(EE) AIGLX: Screen 0 is not DRI capable




EE m ennuie...
pour DRM je sais pas quoi faire...
pour AIGLX:
Quote:
(**) AIGLX enabled ca c est que dans le fichier de config,...
(EE) AIGLX: Screen 0 is not DRI capable c est quoi ce beans!!!
(**) Option "AIGLX" "true" les etoiles signalent que ca vient dui fichier de config.,... donc on ne s y fie pas, c est ca?


pour les warnings, j ai mis explicitement FALSE a MErgedFB
j ai mis en marche la ligne de CLOCKS (comme vous m aviez conseille plus haut, pour voir...)
je mets en commentaire la ligne (WW) RADEON(0): Option "XAANoOffscreenPixmaps" is not used du xorg,
je change Option "dri" "true"
par Option "DRI" "true"

et je tente.
suivant resultats, je virerai EXA ou pas... pour voir...

Je reviens de suite!
:D
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 8:00 pm    Post subject: Reply with quote

pas encore fait, mais:
Quote:
# eselect opengl list
Available OpenGL implementations:
[1] ati
[2] xorg-x11 *

histoire de preciser...
et aussi ce post:
https://forums.gentoo.org/viewtopic-t-517618-highlight-drm.html
qui n a pas de reponse... et dont le probleme est similaire au mien...
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 8:16 pm    Post subject: Reply with quote

aille, ca passe pas.
aucune amelioration.
DRI not loaded en gros
Quote:
$ cat /var/log/Xorg.0.log | grep WW
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(WW) RADEON: No matching Device section for instance (BusID PCI:4:0:1) found
(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode disabled
(WW) (1152x864,Mitsubishi Diamond Scan) mode clock 108MHz exceeds DDC maximum 100MHz
(WW) (1280x960,Mitsubishi Diamond Scan) mode clock 108MHz exceeds DDC maximum 100MHz
(WW) (1280x960,Mitsubishi Diamond Scan) mode clock 148.5MHz exceeds DDC maximum 100MHz
(WW) (1280x1024,Mitsubishi Diamond Scan) mode clock 108MHz exceeds DDC maximum 100MHz
(WW) (1280x1024,Mitsubishi Diamond Scan) mode clock 135MHz exceeds DDC maximum 100MHz
(WW) (1280x1024,Mitsubishi Diamond Scan) mode clock 157.5MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 162MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 175.5MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 189MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 202.5MHz exceeds DDC maximum 100MHz
(WW) (1600x1200,Mitsubishi Diamond Scan) mode clock 229.5MHz exceeds DDC maximum 100MHz
(WW) (1792x1344,Mitsubishi Diamond Scan) mode clock 204.8MHz exceeds DDC maximum 100MHz
(WW) (1792x1344,Mitsubishi Diamond Scan) mode clock 261MHz exceeds DDC maximum 100MHz
(WW) (1856x1392,Mitsubishi Diamond Scan) mode clock 218.3MHz exceeds DDC maximum 100MHz
(WW) (1856x1392,Mitsubishi Diamond Scan) mode clock 288MHz exceeds DDC maximum 100MHz
(WW) (1920x1440,Mitsubishi Diamond Scan) mode clock 234MHz exceeds DDC maximum 100MHz
(WW) (1920x1440,Mitsubishi Diamond Scan) mode clock 297MHz exceeds DDC maximum 100MHz
(WW) (1400x1050,Mitsubishi Diamond Scan) mode clock 122MHz exceeds DDC maximum 100MHz
(WW) (1400x1050,Mitsubishi Diamond Scan) mode clock 155.8MHz exceeds DDC maximum 100MHz
(WW) (1600x1024,Mitsubishi Diamond Scan) mode clock 106.91MHz exceeds DDC maximum 100MHz
(WW) (1920x1440,Mitsubishi Diamond Scan) mode clock 341.35MHz exceeds DDC maximum 100MHz
(WW) (2048x1536,Mitsubishi Diamond Scan) mode clock 266.95MHz exceeds DDC maximum 100MHz
(WW) (2048x1536,Mitsubishi Diamond Scan) mode clock 340.48MHz exceeds DDC maximum 100MHz
(WW) (2048x1536,Mitsubishi Diamond Scan) mode clock 388.04MHz exceeds DDC maximum 100MHz
(WW) RADEON(0): Direct rendering disabled
(WW) RADEON(0): Option "DRI" is not used
Quote:
$ cat /var/log/Xorg.0.log | grep EE
Current Operating System: Linux atlantis 2.6.15-gentoo-r1 #15 SMP PREEMPT Mon Nov 20 20:33:16 CET 2006 i686
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) RADEON(0): [dri] RADEONDRIGetVersion failed to open the DRM
(EE) AIGLX: Screen 0 is not DRI capable

c est chiant...

je n ai rien vu susr google, ni sur les bugs...
ma question: ne pourrait ce pas etre du au fait que je suis avec 2.6.15 et que le 2.6.18 marche mieux alors?
si c est ca, le truc c est que je sais pas trop comment faire pour utiliser mon fichier config de mon kernel 2.6.15 qui marche bien et faire que le noyau 2.6.18 soit compile avec ce meme fichier...
c est pour ca que je change pas trop de noyau...
et ici, si c est pas utile, je prefere pas me saouler a refaire toute la config.

oldmenuconfig je pige pas bien:
je boote sur ancien noyau, copie le config de l ancien dans le /usr/src/linux qui maintenant POINTERA vers 2.6.18, et ecris make oldmenuconfig? c est comme ca?
apres il faudra que je recompile ATI et quoi d autre? j oublie souvent ceci...
Back to top
View user's profile Send private message
nemo13
Veteran
Veteran


Joined: 08 Oct 2004
Posts: 1016
Location: France/Istres

PostPosted: Mon Nov 20, 2006 8:52 pm    Post subject: Reply with quote

Bonsoir,
pathfinder>
Ha la vache, quand tu commences à écrire tu te laches :lol:
donc en vrac et brut de fonderie:
pathfinder wrote:
J ai toujours eu cette question: comment, si on fait un emerge world, et que 30 paquets se reinstallent, ou 55, et qu on ne reste pas devant son ecran, COMMENT peut on voir tous ces petits messages en VERT et en jaune TRES UTILES voire INDISPENSABLES vue la vitesse de defilement des infos sur l ecran?

Code:
enotice est ton ami
bon il y en a d'autres mais c'est mon chouchou.
pathfinder wrote:
DRI not loaded en gros

es-tu allé faire un tour chez le site dri
je lis un peu et compléterai si j'y arrive.
A+
Back to top
View user's profile Send private message
pathfinder
l33t
l33t


Joined: 19 Jan 2006
Posts: 731
Location: Barcelona, Spain

PostPosted: Mon Nov 20, 2006 9:03 pm    Post subject: Reply with quote

:p

enotice, je le cherche... avec un emerge -S car eix ne le connait pas...
et je ne l ai pas en ligne de commande...

mais je sens que ca va me plaire... :)
sinon, je n avais pas vu le site DRI (celui visite etait "abandonnne")
j y jette un oeil! merci!
edit:
Code:
 # emerge -S enotice
Searching...   
[ Results for search key : enotice ]
[ Applications found : 0 ]


je le trouve comment? il est dans une suite? laquelle?

pour dri et la carte graphique:
j ai ouvert un autre post, plus precis... mais je ne comprends pas bien quelle est le driver que je dois regarder
ma carte graphique est une radeon X300 RV370 (cf post:https://forums.gentoo.org/viewtopic-t-517978-highlight-.html)

je lis...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page Previous  1, 2, 3, 4, 5  Next
Page 3 of 5

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum